#include "xfxelemdefvisuals.h"

XFxElemDefVisuals::XFxElemDefVisuals()
    : XAsset()
    , mMarkArray()
    , mArray()
    , mInstance()
{
    SetName("Element Definition Visuals");
}

void XFxElemDefVisuals::Clear()
{
    mMarkArray.clear();
    mArray.clear();
    mInstance.Clear();
}

void XFxElemDefVisuals::ParseData(XDataStream *aStream)
{
    Q_UNUSED(aStream);

    // TODO: Fill in XFxElemDefVisuals::ParseData
}
